at.chipkarte.client.kse.soap.constants

## Class InvalidParameterExceptionConstants

- Object
- - at.chipkarte.client.kse.soap.constants.InvalidParameterExceptionConstants

-     public class InvalidParameterExceptionConstants
      extends Object

  Fehlerkonstanten, wenn ein ungültiger Parameter in einer Funktion angegeben wird. Fehlercodes siehe `InvalidParameterExceptionConstants`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BF_FG_MISMATCH` Die gewählte Kombination aus Fachgebiet und Behandlungsfall ist ungültig.
    `static int` | `DATE_IN_FUTURE` Das angegebene Datum liegt in der Zukunft.
    `static int` | `DATE_INVALID` Das angegebene Datum ist ungültig.
    `static int` | `DATE_NOT_SET` Die Datumsangabe fehlt.
    `static int` | `DATE_ORDER_WRONG` Das Bis-Datum muss nach dem Von-Datum liegen.
    `static int` | `ERSATZBELEG_AND_ECARD_NOT_ALLOWED` Bei Verwendung der e-card des Patienten ist die Angabe eines Ersatzbelegcodes nicht zulässig.
    `static int` | `ERSATZBELEGCODE_INVALID` Der Wert in Ersatzbeleg-Code ist ungültig.
    `static int` | `ERSATZBELEGCODE_WRONG_FORMAT` Das Format des Ersatzbelegcodes ist ungültig.
    `static int` | `ID_NOT_FOUND` Der Datensatz mit dieser Id wurde nicht gefunden.
    `static int` | `ILLEGAL_VALUE` Unerlaubter Wert für diesen Parameter.
    `static int` | `INVALID_ANFRAGE_ID` Die Anfrage-Id ist ungültig.
    `static int` | `INVALID_BF` Der Behandlungsfallcode ist ungültig.
    `static int` | `INVALID_FG` Der Fachgebietscode ist ungültig.
    `static int` | `INVALID_KONSULTATION_VERSION` Die angegebene Version der Konsultation ist ungültig.
    `static int` | `INVALID_KONSULTATIONS_ART` Die Konsultationsart ist ungültig.
    `static int` | `INVALID_LIMIT_ZEITRAUM` Der angegebene Zeitraum für die Limitanfrage ist nicht gültig.
    `static int` | `INVALID_NACHERFASSUNGSGRUND` Der Nacherfassungsgrund ist ungültig.
    `static int` | `INVALID_ORDID` Die angegebene Ordinations-Id ist ungültig.
    `static int` | `INVALID_SELEKTIONS_ART` Die Selektionsart ungültig.
    `static int` | `INVALID_SV_NUMBER` Die Sozialversicherungsnummer ist ungültig oder fehlt.
    `static int` | `INVALID_SVT` Der angegebene Krankenversicherungsträger ist ungültig.
    `static int` | `MISSING_RIGHT_FOR_BEHANDLUNGSFALL` Sie haben nicht die Berechtigung zur Buchung des Behandlungsfalles <Anzeigetext BF>.
    `static int` | `NO_CARD` Bei der KSE-Anfrage (mit einem Dialog der mit der Adminkarte aufgebaut wurde) wurde keine Karte gesteckt.
    `static int` | `NO_CERTIFICATE_AND_NO_ECARD` Bei der KSE-Anfrage (mit einem Dialog der mit SW-Zertifikat aufgebaut wurde) wurde weder eine e-card verwendet noch der Request mit dem SW-Zertifikat signiert.
    `static int` | `WRONG_RECORD_TYPE_FOR_FUNCTION` Die Funktion kann nicht durchgeführt werden, weil ein falscher Datensatztyp (Konsultation oder Nachsignierung) im Parameter referenziert wurde.
    `static int` | `ZUSATZINFO_ANTWORT_INVALID` Der übergebene Wert für die Zusatzinformationsantwort ist entweder generell kein gültiger Wert oder kein gültiger Wert für die beantwortete Zusatzinformation.
    `static int` | `ZUSATZINFO_ANTWORTID_INVALID` Die Zusatzinformationsantwort-Id ist ungültig.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidParameterExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATE_INVALID

          public static final int DATE_INVALID

      Das angegebene Datum ist ungültig.
      ORCLI-Code: CL-00070
      See Also:
        Constant Field Values

    - #### DATE_IN_FUTURE

          public static final int DATE_IN_FUTURE

      Das angegebene Datum liegt in der Zukunft.
      ORCLI-Code: CL-A0017
      See Also:
        Constant Field Values

    - #### DATE_ORDER_WRONG

          public static final int DATE_ORDER_WRONG

      Das Bis-Datum muss nach dem Von-Datum liegen.
      ORCLI-Code: CL-01060
      See Also:
        Constant Field Values

    - #### INVALID_FG

          public static final int INVALID_FG

      Der Fachgebietscode ist ungültig.
      ORCLI-Code: CL-A0015
      See Also:
        Constant Field Values

    - #### INVALID_BF

          public static final int INVALID_BF

      Der Behandlungsfallcode ist ungültig.
      ORCLI-Code: CL-A0018
      See Also:
        Constant Field Values

    - #### INVALID_SVT

          public static final int INVALID_SVT

      Der angegebene Krankenversicherungsträger ist ungültig.
      ORCLI-Code: CL-A0019
      See Also:
        Constant Field Values

    - #### INVALID_KONSULTATIONS_ART

          public static final int INVALID_KONSULTATIONS_ART

      Die Konsultationsart ist ungültig.
      ORCLI-Code: CL-A0020
      See Also:
        Constant Field Values

    - #### INVALID_SV_NUMBER

          public static final int INVALID_SV_NUMBER

      Die Sozialversicherungsnummer ist ungültig oder fehlt.
      ORCLI-Code: CL-A0021
      See Also:
        Constant Field Values

    - #### INVALID_SELEKTIONS_ART

          public static final int INVALID_SELEKTIONS_ART

      Die Selektionsart ungültig.
      ORCLI-Code: CL-A0022
      See Also:
        Constant Field Values

    - #### INVALID_NACHERFASSUNGSGRUND

          public static final int INVALID_NACHERFASSUNGSGRUND

      Der Nacherfassungsgrund ist ungültig.
      ORCLI-Code: CL-A0023
      See Also:
        Constant Field Values

    - #### DATE_NOT_SET

          public static final int DATE_NOT_SET

      Die Datumsangabe fehlt.
      ORCLI-Code: CL-A0024
      See Also:
        Constant Field Values

    - #### ID_NOT_FOUND

          public static final int ID_NOT_FOUND

      Der Datensatz mit dieser Id wurde nicht gefunden.
      ORCLI-Code: CL-S0007
      See Also:
        Constant Field Values

    - #### WRONG_RECORD_TYPE_FOR_FUNCTION

          public static final int WRONG_RECORD_TYPE_FOR_FUNCTION

      Die Funktion kann nicht durchgeführt werden, weil ein falscher Datensatztyp (Konsultation oder Nachsignierung) im Parameter referenziert wurde.
      ORCLI-Code: CL-A0047
      See Also:
        Constant Field Values

    - #### INVALID_ANFRAGE_ID

          public static final int INVALID_ANFRAGE_ID

      Die Anfrage-Id ist ungültig.
      ORCLI-Code: CL-A0025
      See Also:
        Constant Field Values

    - #### INVALID_ORDID

          public static final int INVALID_ORDID

      Die angegebene Ordinations-Id ist ungültig.
      ORCLI-Code: CL-A0027
      See Also:
        Constant Field Values

    - #### INVALID_LIMIT_ZEITRAUM

          public static final int INVALID_LIMIT_ZEITRAUM

      Der angegebene Zeitraum für die Limitanfrage ist nicht gültig.
      ORCLI-Code: CL-A0028
      See Also:
        Constant Field Values

    - #### INVALID_KONSULTATION_VERSION

          public static final int INVALID_KONSULTATION_VERSION

      Die angegebene Version der Konsultation ist ungültig. Die Konsultationsversion muss numerisch und positiv sein.
      ORCLI-Code: CL-A0036
      See Also:
        Constant Field Values

    - #### NO_CERTIFICATE_AND_NO_ECARD

          public static final int NO_CERTIFICATE_AND_NO_ECARD

      Bei der KSE-Anfrage (mit einem Dialog der mit SW-Zertifikat aufgebaut wurde) wurde weder eine e-card verwendet noch der Request mit dem SW-Zertifikat signiert. Der Dialogaufbau erfolgte mit SW-Zertifikat. Es darf somit mit SW-Zertifikat oder e-card signiert werden. Beim Senden der KSE-Anfrage wurde jedoch keine-card verwendet und der Request auch nicht mit einem SW-Zertifikat signiert.
      ORCLI-Code: CL-00270
      See Also:
        Constant Field Values

    - #### NO_CARD

          public static final int NO_CARD

      Bei der KSE-Anfrage (mit einem Dialog der mit der Adminkarte aufgebaut wurde) wurde keine Karte gesteckt.
      ORCLI-Code: CL-00269
      See Also:
        Constant Field Values

    - #### ILLEGAL_VALUE

          public static final int ILLEGAL_VALUE

      Unerlaubter Wert für diesen Parameter.
      ORCLI-Code: CL-A0029
      See Also:
        Constant Field Values

    - #### ZUSATZINFO_ANTWORTID_INVALID

          public static final int ZUSATZINFO_ANTWORTID_INVALID

      Die Zusatzinformationsantwort-Id ist ungültig.
      ORCLI-Code: CL-00282
      See Also:
        Constant Field Values

    - #### ZUSATZINFO_ANTWORT_INVALID

          public static final int ZUSATZINFO_ANTWORT_INVALID

      Der übergebene Wert für die Zusatzinformationsantwort ist entweder generell kein gültiger Wert oder kein gültiger Wert für die beantwortete Zusatzinformation.
      ORCLI-Code: CL-00283, ZS-00123
      See Also:
        Constant Field Values

    - #### MISSING_RIGHT_FOR_BEHANDLUNGSFALL

          public static final int MISSING_RIGHT_FOR_BEHANDLUNGSFALL

      Sie haben nicht die Berechtigung zur Buchung des Behandlungsfalles <Anzeigetext BF>.
      ORCLI-Code: CL-00287, ZS-00113
      See Also:
        Constant Field Values

    - #### BF_FG_MISMATCH

          public static final int BF_FG_MISMATCH

      Die gewählte Kombination aus Fachgebiet und Behandlungsfall ist ungültig.
      ORCLI-Code: CL-00055
      See Also:
        Constant Field Values

    - #### ERSATZBELEG_AND_ECARD_NOT_ALLOWED

          public static final int ERSATZBELEG_AND_ECARD_NOT_ALLOWED

      Bei Verwendung der e-card des Patienten ist die Angabe eines Ersatzbelegcodes nicht zulässig.
      ORCLI-Code: CL-00301
      See Also:
        Constant Field Values

    - #### ERSATZBELEGCODE_WRONG_FORMAT

          public static final int ERSATZBELEGCODE_WRONG_FORMAT

      Das Format des Ersatzbelegcodes ist ungültig.
      ORCLI-Code: CL-00302
      See Also:
        Constant Field Values

    - #### ERSATZBELEGCODE_INVALID

          public static final int ERSATZBELEGCODE_INVALID

      Der Wert in Ersatzbeleg-Code ist ungültig.
      ORCLI-Code: CL-00303
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InvalidParameterExceptionConstants

          public InvalidParameterExceptionConstants()